
package com.tmerclub.cloud.api.payment.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author Pineapple
 * @date 2021/6/9 16:00
 */
public class AccountDetailVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "微信金额")
    private Long wechatAmount;

    @Schema(description = "支付宝金额")
    private Long alipayAmount;

    @Schema(description = "余额金额")
    private Long balanceAmount;

    @Schema(description = "积分")
    private Long scoreCount;

    @Schema(description = "微信占比")
    private Double wechatPercent;

    @Schema(description = "支付宝占比")
    private Double alipayPercent;

    @Schema(description = "余额占比")
    private Double balancePercent;

    @Schema(description = "合计")
    private Long total;

    public Long getWechatAmount() {
        return wechatAmount;
    }

    public void setWechatAmount(Long wechatAmount) {
        this.wechatAmount = wechatAmount;
    }

    public Long getAlipayAmount() {
        return alipayAmount;
    }

    public void setAlipayAmount(Long alipayAmount) {
        this.alipayAmount = alipayAmount;
    }

    public Long getBalanceAmount() {
        return balanceAmount;
    }

    public void setBalanceAmount(Long balanceAmount) {
        this.balanceAmount = balanceAmount;
    }

    public Double getWechatPercent() {
        return wechatPercent;
    }

    public void setWechatPercent(Double wechatPercent) {
        this.wechatPercent = wechatPercent;
    }

    public Double getAlipayPercent() {
        return alipayPercent;
    }

    public void setAlipayPercent(Double alipayPercent) {
        this.alipayPercent = alipayPercent;
    }

    public Double getBalancePercent() {
        return balancePercent;
    }

    public void setBalancePercent(Double balancePercent) {
        this.balancePercent = balancePercent;
    }

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }

    public Long getScoreCount() {
        return scoreCount;
    }

    public void setScoreCount(Long scoreCount) {
        this.scoreCount = scoreCount;
    }

    @Override
    public String toString() {
        return "AccountDetailVO{" +
                "wechatAmount=" + wechatAmount +
                ", alipayAmount=" + alipayAmount +
                ", balanceAmount=" + balanceAmount +
                ", scoreCount=" + scoreCount +
                ", wechatPercent=" + wechatPercent +
                ", alipayPercent=" + alipayPercent +
                ", balancePercent=" + balancePercent +
                ", total=" + total +
                '}';
    }
}
